
Infrastructure - Task #2529

Story # 587 (Closed): Evaluate licenses that currently appear in the source

Verify Java source code has proper licenses.

2012-03-26 18:37 - Andrew Pippin

Status: Closed Start date: 2012-03-26

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Before public release, go through the Java code and validate the licenses.

History

#1 - 2012-04-17 16:02 - Andrew Pippin

- Status changed from New to In Progress

- translation missing: en.field_remaining_hours set to 2.0

- % Done changed from 0 to 70

Updated all files that didn't have the proper copyright and compiled as many as I could.

#2 - 2012-04-23 17:09 - Andrew Pippin

Apr 20, 2012 - Commits:

* d1_common_java: r8317

* d1_libclient_java: r8318

#3 - 2012-04-23 23:22 - Andrew Pippin

Apr 23, 2012 - Commits.

* cn: r8327

* cn-service: r8328

* d1_certificate_manager: r8329

* d1_identity_manager: r8330

* d1_integration: r8331

* d1_jibx_extensions: r8332

* d1_mercury: r8333

* d1_portal: r8334

* d1_portal_servlet: r8335

* d1_web_test_site: r8336

* mn: r8337

#4 - 2012-04-23 23:22 - Andrew Pippin

- % Done changed from 70 to 100

2024-04-09 1/2

https://redmine.dataone.org/projects/d1/repository/revisions/8317
https://redmine.dataone.org/projects/d1/repository/revisions/8318
https://redmine.dataone.org/projects/d1/repository/revisions/8327
https://redmine.dataone.org/projects/d1/repository/revisions/8328
https://redmine.dataone.org/projects/d1/repository/revisions/8329
https://redmine.dataone.org/projects/d1/repository/revisions/8330
https://redmine.dataone.org/projects/d1/repository/revisions/8331
https://redmine.dataone.org/projects/d1/repository/revisions/8332
https://redmine.dataone.org/projects/d1/repository/revisions/8333
https://redmine.dataone.org/projects/d1/repository/revisions/8334
https://redmine.dataone.org/projects/d1/repository/revisions/8335
https://redmine.dataone.org/projects/d1/repository/revisions/8336
https://redmine.dataone.org/projects/d1/repository/revisions/8337


#5 - 2012-04-26 23:49 - Andrew Pippin

- Status changed from In Progress to Closed

Reverted changes to:

*  'cn-service/cn-prototype/d1_indexer/d1_mercury_indexer/src/main/java/client'

*  'cn-service/cn-prototype/d1_indexer/d1_mercury_indexer/src/main/java/index_utils'

*  'cn-service/cn-prototype/d1_indexer/d1_mercury_harvester/src/main/java/gov'

All other changess have been committed without any known ill effects.
